Did 2.1.8.20110524 break the AS3 libraries?

Legacy support with Phidget21
snookums
Phidgetsian
Posts: 11
Joined: Thu Mar 18, 2010 5:20 am
Contact:

Did 2.1.8.20110524 break the AS3 libraries?

Postby snookums » Thu May 26, 2011 10:10 am

The web service is expecting 1.0.9 as version, but the AS3 libs send 1.0.8.

Changing the version in PhidgetSocket.as does not work.

AdamS

Re: Did 2.1.8.20110524 break the AS3 libraries?

Postby AdamS » Thu May 26, 2011 12:17 pm

You need to download a new version of the AS3 libraries as well to alleviate this. The AS3 libraries come with the code samples.

snookums
Phidgetsian
Posts: 11
Joined: Thu Mar 18, 2010 5:20 am
Contact:

Re: Did 2.1.8.20110524 break the AS3 libraries?

Postby snookums » Thu May 26, 2011 12:58 pm

I know that.
I've downloaded Flash_2.1.8.20110524.zip

In PhidgetSocket.as
private const protocol_ver:String = "1.0.8";

But the websocket server in Phidget-x64_2.1.8.20110524.exe says it wants 1.0.9.

User avatar
Patrick
Lead Developer
Posts: 3064
Joined: Mon Jun 20, 2005 8:46 am
Location: Canada
Contact:

Re: Did 2.1.8.20110524 break the AS3 libraries?

Postby Patrick » Mon May 30, 2011 10:27 am

Yes, this was broken for a few days. This was fixed by the May 27 release. Sorry for the inconvenience.

-Patrick

snookums
Phidgetsian
Posts: 11
Joined: Thu Mar 18, 2010 5:20 am
Contact:

Re: Did 2.1.8.20110524 break the AS3 libraries?

Postby snookums » Wed Jun 08, 2011 11:46 am

It would be nice if the Protocol version was available as a Public Static in PhidgetSocket.as


Return to “ActionScript 3.0 - Flash CS3 / Flex / AIR”

Who is online

Users browsing this forum: No registered users and 1 guest